ValidateTaskProperties (Gradle API 4.5)
Date: 2018-01-24

org.gradle.plugin.devel.tasks

## Class ValidateTaskProperties

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugin.devel.tasks.ValidateTaskProperties

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, VerificationTask, org.gradle.util.Configurable<Task>

      @Incubating
       @CacheableTask
       @NonNullApi
      public class ValidateTaskProperties
      extends org.gradle.api.internal.ConventionTask
      implements VerificationTask

  Validates task property annotations.

  Task properties must be annotated with one of:

  - Properties taken into account during up-to-date checks:
    - @`Input`, @`Nested`, @`InputFile`, @`InputDirectory`, @`InputFiles` to mark it as an input to the task.
    - @`OutputFile`, @`OutputDirectory` to mark it as an output of the task.
  - Properties ignored during up-to-date checks:
    - @`Inject` marks a Gradle service used by the task.
    - @`Console` marks a property that only influences the console output of the task.
    - @`Internal` mark an internal property of the task.
  Since:
    3.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidateTaskProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getClasses()` The classes to validate.
    `protected org.gradle.internal.classloader.ClassLoaderFactory` | `getClassLoaderFactory()`
    `FileCollection` | `getClasspath()` The classpath used to load the classes under validation.
    `protected org.gradle.api.internal.DocumentationRegistry` | `getDocumentationRegistry()`
    `boolean` | `getFailOnWarning()` Returns whether the build should break when the verifications performed by this task detects a warning.
    `boolean` | `getIgnoreFailures()` Specifies whether the build should break when the verifications performed by this task fail.
    `RegularFileProperty` | `getOutputFile()` Returns the output file to store the report in.
    `void` | `setClasses(FileCollection classes)` Sets the classes to validate.
    `void` | `setClasspath(FileCollection classpath)` Sets the classpath used to load the classes under validation.
    `void` | `setFailOnWarning(boolean failOnWarning)` Specifies whether the build should break when the verifications performed by this task detects a warning.
    `void` | `setIgnoreFailures(boolean ignoreFailures)` Specifies whether the build should break when the verifications performed by this task fail.
    `void` | `validateTaskClasses()`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateTaskProperties

          public ValidateTaskProperties()

  - ### Method Detail

    - #### validateTaskClasses

          public void validateTaskClasses()
                                   throws IOException

      Throws:
        `IOException`

    - #### getIgnoreFailures

          public boolean getIgnoreFailures()

      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `getIgnoreFailures` in interface `VerificationTask`
      Returns:
        false, when the build should break on failure, true when the failures should be ignored.

    - #### setIgnoreFailures

          public void setIgnoreFailures(boolean ignoreFailures)

      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `setIgnoreFailures` in interface `VerificationTask`
      Parameters:
        `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.

    - #### getClasses

          @PathSensitive(value=RELATIVE)
           @InputFiles
           @SkipWhenEmpty
          public FileCollection getClasses()

      The classes to validate.
      Since:
        4.0

    - #### setClasses

          public void setClasses(FileCollection classes)

      Sets the classes to validate.
      Since:
        4.0

    - #### getClasspath

          @Classpath
          public FileCollection getClasspath()

      The classpath used to load the classes under validation.

    - #### setClasspath

          public void setClasspath(FileCollection classpath)

      Sets the classpath used to load the classes under validation.

    - #### getFailOnWarning

          @Input
          public boolean getFailOnWarning()

      Returns whether the build should break when the verifications performed by this task detects a warning.

    - #### getOutputFile

          @Optional
           @OutputFile
          public RegularFileProperty getOutputFile()

      Returns the output file to store the report in.
      Since:
        4.5

    - #### setFailOnWarning

          public void setFailOnWarning(boolean failOnWarning)

      Specifies whether the build should break when the verifications performed by this task detects a warning.
      Parameters:
        `failOnWarning` - `true` to break the build on warning, `false` to ignore warnings. The default is `false`.

    - #### getClassLoaderFactory

          @Inject
          protected org.gradle.internal.classloader.ClassLoaderFactory getClassLoaderFactory()

    - #### getDocumentationRegistry

          @Inject
          protected org.gradle.api.internal.DocumentationRegistry getDocumentationRegistry()